org.apache.cassandra.net

## Class OutboundTcpConnection

- java.lang.Object
- - java.lang.Thread
  - - org.apache.cassandra.net.OutboundTcpConnection

All Implemented Interfaces:
  java.lang.Runnable

    public class OutboundTcpConnection
    extends java.lang.Thread

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

Fields
`static int` `MAX_COALESCED_MESSAGES`
`static int` `WAIT_FOR_VERSION_MAX_TIME`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`OutboundTcpConnection(OutboundTcpConnectionPool pool)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enqueue(MessageOut<?> message, int id)`
`long` `getCompletedMesssages()`
`long` `getDroppedMessages()`
`int` `getPendingMessages()`
`int` `getTargetVersion()`
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MAX_COALESCED_MESSAGES

    public static final int MAX_COALESCED_MESSAGES

See Also:
  Constant Field Values

#### WAIT_FOR_VERSION_MAX_TIME

    public static final int WAIT_FOR_VERSION_MAX_TIME

See Also:
  Constant Field Values

### Constructor Detail

#### OutboundTcpConnection

    public OutboundTcpConnection(OutboundTcpConnectionPool pool)

### Method Detail

#### enqueue

    public void enqueue(MessageOut<?> message,
                        int id)

#### getTargetVersion

    public int getTargetVersion()

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`

#### getPendingMessages

    public int getPendingMessages()

#### getCompletedMesssages

    public long getCompletedMesssages()

#### getDroppedMessages

    public long getDroppedMessages()